Name:		dns2tcp
Version:	0.5.2
Release:	%mkrel 13
Summary:	Tunnel TCP over DNS
Group:		Networking/Other
License:	GPLv2+
URL:		https://www.hsc.fr/ressources/outils/dns2tcp/
Source0:	https://www.hsc.fr/ressources/outils/dns2tcp/download/%{name}-%{version}.tar.gz
Source1: 	dns2tcpd.service
Source2: 	dns2tcpd.conf
Source3: 	dns2tcpc.service
Source4: 	dns2tcpc.conf
Patch0:		dns2tcp-0.5.2-compile.patch
BuildRequires:	pkgconfig(openssl)

%description
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

%package	client
Summary:	dns2tcp client (Tunnel TCP over DNS)
Group:		Networking/Other

%description	client
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

This package contains the client part.

%package	server
Summary:	dns2tcp server (Tunnel TCP over DNS)
Group:		Networking/Other

%description	server
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

This package contains the server part.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/dns2tcpd.service
install -D -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/dns2tcpd.conf
install -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/dns2tcpc.service
install -D -m 0755 %{SOURCE4} %{buildroot}%{_sysconfdir}/dns2tcpc.conf

%post server
%_post_service dns2tcpd

%preun server
%_preun_service dns2tcpd

%post client
%_post_service dns2tcpc

%preun client
%_preun_service dns2tcpc

%files server
%doc README ChangeLog
%license COPYING
%{_bindir}/dns2tcpd
%{_unitdir}/dns2tcpd.service
%config(noreplace) %{_sysconfdir}/dns2tcpd.conf
%{_mandir}/man1/dns2tcpd.1.*

%files client
%doc README ChangeLog
%license COPYING
%{_bindir}/dns2tcpc
%{_unitdir}/dns2tcpc.service
%config(noreplace) %{_sysconfdir}/dns2tcpc.conf
%{_mandir}/man1/dns2tcpc.1.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.5.2-13.mga10
+ Revision: 2222397
- Mageia 10 Mass Rebuild

* Wed May 01 2024 daviddavid <daviddavid> 0.5.2-12.mga10
+ Revision: 2061794
- switch to systemd unit from initscripts

* Thu Mar 17 2022 umeabot <umeabot> 0.5.2-11.mga9
+ Revision: 1795331
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 joequant <joequant> 0.5.2-10.mga8
+ Revision: 1611167
- update
- fix common

* Thu Feb 13 2020 umeabot <umeabot> 0.5.2-9.mga8
+ Revision: 1511865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-8.mga7
+ Revision: 1297472
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.5.2-7.mga7
+ Revision: 1234829
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.5.2-6.mga6
+ Revision: 935719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-5.mga5
+ Revision: 739925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-4.mga5
+ Revision: 678776
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-3.mga4
+ Revision: 503904
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 348900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 pterjan <pterjan> 0.5.2-1.mga2
+ Revision: 145216
- imported package dns2tcp


* Wed Jul 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 562860
- 0.5.2

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2010.1
+ Revision: 536812
- new version

* Sun Dec 20 2009 Michael Scherer <misc@mandriva.org> 0.4.3-4mdv2010.1
+ Revision: 480323
- fix build, as glibc now declare strnlen, which conflict with some symbols
- do not chroot to a inexistant directory

* Fri Dec 26 2008 Pascal Terjan <pterjan@mandriva.org> 0.4.3-3mdv2009.1
+ Revision: 319531
- Only change it for client, server already detach itself
- Fix initscripts so that they don't block boot

* Fri Nov 07 2008 Pascal Terjan <pterjan@mandriva.org> 0.4.3-2mdv2009.1
+ Revision: 300760
- Tag config files as such

* Fri Nov 07 2008 Pascal Terjan <pterjan@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 300720
- Update to 0.4.3 (Security fix for SA32514)
- Fix condrestart command in services
- Fix status command in services

* Sat Sep 06 2008 Pascal Terjan <pterjan@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 281898
- import dns2tcp


* Sat Sep  6 2008 Pascal Terjan <pterjan@mandriva.org> 0.4.1-1mdv2009.0
- First version of the package

